org.apache.tinkerpop.gremlin.process.traversal.step.filter

## Class DropTest.Traversals

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.process.traversal.step.filter.DropTest
    - - org.apache.tinkerpop.gremlin.process.traversal.step.filter.DropTest.Traversals

- Enclosing class:
    DropTest

      public static class DropTest.Traversals
      extends DropTest

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.filter.DropTest

      `DropTest.Traversals`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Traversals()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Traversal<Vertex,Vertex>` | `get_g_V_drop()`
    `Traversal<Vertex,Edge>` | `get_g_V_outE_drop()`
    `Traversal<Vertex,VertexProperty>` | `get_g_V_properties_drop()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.filter.DropTest

      `g_V_drop, g_V_outE_drop, g_V_properties_drop`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Traversals

          public Traversals()

  - ### Method Detail

    - #### get_g_V_drop

          public Traversal<Vertex,Vertex> get_g_V_drop()

      Specified by:
        `get_g_V_drop` in class `DropTest`

    - #### get_g_V_outE_drop

          public Traversal<Vertex,Edge> get_g_V_outE_drop()

      Specified by:
        `get_g_V_outE_drop` in class `DropTest`

    - #### get_g_V_properties_drop

          public Traversal<Vertex,VertexProperty> get_g_V_properties_drop()

      Specified by:
        `get_g_V_properties_drop` in class `DropTest`

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.